- Qt 6.8
- Qt GUI
- C++ Classes
- QExposeEvent
- Qt 6.8.3 Reference Documentation

# QExposeEvent Class

The QExposeEvent class contains event parameters for expose events. More...

Header: | `#include <QExposeEvent>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Inherits: | QEvent

- List of all members, including inherited members
- Deprecated members
- QExposeEvent is part of Event Classes.

## Public Functions

| QExposeEvent(const QRegion &exposeRegion)

## Detailed Description

Expose events are sent to windows when they move between the un-exposed and exposed states.

An exposed window is potentially visible to the user. If the window is moved off screen, is made totally obscured by another window, is minimized, or similar, an expose event is sent to the window, and isExposed() might change to false.

Expose events should not be used to paint. Handle QPaintEvent instead.

The event handler QWindow::exposeEvent() receives expose events.

## Member Function Documentation

### `[explicit]` QExposeEvent::QExposeEvent(const QRegion &exposeRegion)

Constructs an expose event for the given exposeRegion which must be in local coordinates.